[arch-commits] Commit in postgresql/repos/testing-x86_64 (18 files)

Jan Steffens heftig at archlinux.org
Mon Aug 12 07:42:55 UTC 2019


    Date: Monday, August 12, 2019 @ 07:42:54
  Author: heftig
Revision: 359749

archrelease: copy trunk to testing-x86_64

Added:
  postgresql/repos/testing-x86_64/PKGBUILD
    (from rev 359747, postgresql/trunk/PKGBUILD)
  postgresql/repos/testing-x86_64/postgresql-check-db-dir
    (from rev 359747, postgresql/trunk/postgresql-check-db-dir)
  postgresql/repos/testing-x86_64/postgresql-perl-rpath.patch
    (from rev 359747, postgresql/trunk/postgresql-perl-rpath.patch)
  postgresql/repos/testing-x86_64/postgresql-run-socket.patch
    (from rev 359747, postgresql/trunk/postgresql-run-socket.patch)
  postgresql/repos/testing-x86_64/postgresql.logrotate
    (from rev 359747, postgresql/trunk/postgresql.logrotate)
  postgresql/repos/testing-x86_64/postgresql.pam
    (from rev 359747, postgresql/trunk/postgresql.pam)
  postgresql/repos/testing-x86_64/postgresql.service
    (from rev 359747, postgresql/trunk/postgresql.service)
  postgresql/repos/testing-x86_64/postgresql.sysusers
    (from rev 359747, postgresql/trunk/postgresql.sysusers)
  postgresql/repos/testing-x86_64/postgresql.tmpfiles
    (from rev 359748, postgresql/trunk/postgresql.tmpfiles)
Deleted:
  postgresql/repos/testing-x86_64/PKGBUILD
  postgresql/repos/testing-x86_64/postgresql-check-db-dir
  postgresql/repos/testing-x86_64/postgresql-perl-rpath.patch
  postgresql/repos/testing-x86_64/postgresql-run-socket.patch
  postgresql/repos/testing-x86_64/postgresql.logrotate
  postgresql/repos/testing-x86_64/postgresql.pam
  postgresql/repos/testing-x86_64/postgresql.service
  postgresql/repos/testing-x86_64/postgresql.sysusers
  postgresql/repos/testing-x86_64/postgresql.tmpfiles

-----------------------------+
 PKGBUILD                    |  438 +++++++++++++++++++++---------------------
 postgresql-check-db-dir     |   98 ++++-----
 postgresql-perl-rpath.patch |   26 +-
 postgresql-run-socket.patch |   24 +-
 postgresql.logrotate        |    8 
 postgresql.pam              |    6 
 postgresql.service          |   86 ++++----
 postgresql.sysusers         |    2 
 postgresql.tmpfiles         |    4 
 9 files changed, 346 insertions(+), 346 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-12 07:42:52 UTC (rev 359748)
+++ PKGBUILD	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1,219 +0,0 @@
-# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
-# Maintainer: Dan McGee <dan at archlinux.org>
-
-pkgbase=postgresql
-pkgname=('postgresql-libs' 'postgresql-docs' 'postgresql')
-pkgver=11.5
-_majorver=${pkgver%.*}
-pkgrel=2
-pkgdesc='Sophisticated object-relational DBMS'
-url='https://www.postgresql.org/'
-arch=('x86_64')
-license=('custom:PostgreSQL')
-makedepends=('krb5' 'libxml2' 'python' 'python2' 'perl' 'tcl>=8.6.0' 'openssl>=1.0.0'
-             'pam' 'zlib' 'icu' 'systemd' 'libldap' 'llvm' 'clang')
-source=(https://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2
-        postgresql-run-socket.patch
-        postgresql-perl-rpath.patch
-        postgresql.pam
-        postgresql.logrotate
-        postgresql.service
-        postgresql-check-db-dir
-        postgresql.sysusers
-        postgresql.tmpfiles)
-sha256sums=('7fdf23060bfc715144cbf2696cf05b0fa284ad3eb21f0c378591c6bca99ad180'
-            '8538619cb8bea51078b605ad64fe22abd6050373c7ae3ad6595178da52f6a7d9'
-            '5f73b54ca6206bd2c469c507830261ebd167baca074698d8889d769c33f98a31'
-            '57dfd072fd7ef0018c6b0a798367aac1abb5979060ff3f9df22d1048bb71c0d5'
-            '6abb842764bbed74ea4a269d24f1e73d1c0b1d8ecd6e2e6fb5fb10590298605e'
-            '25fb140b90345828dc01a4f286345757e700a47178bab03d217a7a5a79105b57'
-            '2bbd8c4e51b70223d274fef3a167af096f44af3d3c41ae505ad11c606674e7c5'
-            '7fa8f0ef3f9d40abd4749cc327c2f52478cb6dfb6e2405bd0279c95e9ff99f12'
-            '26e043c8c7cb775d26960b980eeab5372e1892c57e05cb815e4034f815133c20')
-sha512sums=('537148079dc6c33cfb9bf9722171e524707b42ef01369deb968d0d6e8fa9b7f16f6ce67139d9dc45fb7385defbf56aa2c0affe5ee9d76e996f31e47486192141'
-            '031efe12d18ce386989062327cdbbe611c5ef1f94e4e1bead502304cb3e2d410af533d3c7f1109d24f9da9708214fe32f9a10ba373a3ca8d507bdb521fbb75f7'
-            '38302242b30c01c7981574ed28d9cbd9dc73bf6b56ba3a032afb5d0885ae83e5aa72ce578bf2422214dfa6c46f09d0bdd7cccaeb3c25d58754eb1a34f8bf5615'
-            '1e6183ab0eb812b3ef687ac2c26ce78f7cb30540f606d20023669ac00ba04075487fb72e4dc89cc05dab0269ff6aca98fc1167cc75669c225b88b592482fbf67'
-            '9ab4da01337ffbab8faec0e220aaa2a642dbfeccf7232ef2645bdc2177a953f17ee3cc14a4d8f8ebd064e1dae8b3dba6029adbffb8afaabea383963213941ba8'
-            'ee0c010be07e8b5396cfd89c1d077b7c5573753d0210ea4e330e314c2759e25fbee9071e663f871855d65cc8ac75162af9e793dd10892f50f515e7a89cc8d6a0'
-            '73af1cd31638791f81aa2623d51188364107a57b55e4deba6691cd99e96ae5ea0dd94b25a0e95d9e21ac64f36f71919a05cd31233c754bde025215a5a02e055c'
-            '36f7a5d38370fdc4d4267fd5a8a8330f152a1077bf0f065b89d4a7b8112ccd42be2c46c863791b77de02013f28275a42219f4236e7cb837c3f8cfd5fcc7d3373'
-            '5f03c61780a2de7417228aec1c093f403d6bca604d628117004fc629f4dc1ebe64975187749c4dca931662ec1188b28cdd70fb92fcecb4c0db5a2f73ecbb63ed')
-
-prepare() {
-  cd postgresql-${pkgver}
-  patch -p1 < ../postgresql-run-socket.patch
-  patch -p1 < ../postgresql-perl-rpath.patch
-}
-
-build() {
-  cd postgresql-${pkgver}
-  local options=(
-    --prefix=/usr
-    --mandir=/usr/share/man
-    --datadir=/usr/share/postgresql
-    --sysconfdir=/etc
-    --with-gssapi
-    --with-libxml
-    --with-openssl
-    --with-perl
-    --with-python
-    --with-tcl
-    --with-pam
-    --with-system-tzdata=/usr/share/zoneinfo
-    --with-uuid=e2fs
-    --with-icu
-    --with-systemd
-    --with-ldap
-    --with-llvm
-    --enable-nls
-    --enable-thread-safety
-    --disable-rpath
-  )
-
-  # only build plpython3 for now
-  ./configure ${options[@]} \
-    PYTHON=/usr/bin/python
-  make -C src/pl/plpython all
-  make -C contrib/hstore_plpython all
-  make -C contrib/ltree_plpython all
-
-  # save plpython3 build and Makefile.global
-  cp -a src/pl/plpython{,3}
-  cp -a contrib/hstore_plpython{,3}
-  cp -a contrib/ltree_plpython{,3}
-  cp -a src/Makefile.global{,.python3}
-  make distclean
-
-  # regular build with everything
-  ./configure ${options[@]} \
-    PYTHON=/usr/bin/python2
-  make world
-}
-
-_postgres_check() {
-  make "${1}" || (find . -name regression.diffs | \
-    while read -r line; do
-      error "make ${1} failure: ${line}"
-      cat "${line}"
-    done; exit 1)
-}
-
-check() {
-  cd postgresql-${pkgver}
-  _postgres_check check
-  _postgres_check check-world
-}
-
-package_postgresql-libs() {
-  pkgdesc="Libraries for use with PostgreSQL"
-  depends=('krb5' 'openssl>=1.0.0' 'readline>=6.0' 'zlib' 'libldap')
-  provides=('postgresql-client')
-  conflicts=('postgresql-client')
-
-  cd postgresql-${pkgver}
-
-  # install license
-  install -Dm 644 COPYRIGHT -t "${pkgdir}/usr/share/licenses/${pkgname}"
-
-  # install libs and non-server binaries
-  for dir in src/interfaces src/bin/pg_config src/bin/pg_dump src/bin/psql src/bin/scripts; do
-    make -C ${dir} DESTDIR="${pkgdir}" install
-  done
-
-  for util in pg_config pg_dump pg_dumpall pg_restore psql \
-      clusterdb createdb createuser dropdb dropuser pg_isready reindexdb vacuumdb; do
-    install -Dm 644 doc/src/sgml/man1/${util}.1 "${pkgdir}"/usr/share/man/man1/${util}.1
-  done
-
-  cd src/include
-
-  install -d "${pkgdir}"/usr/include/{libpq,postgresql/internal/libpq}
-
-  # these headers are needed by the public headers of the interfaces
-  install -m 644 pg_config.h "${pkgdir}/usr/include"
-  install -m 644 pg_config_os.h "${pkgdir}/usr/include"
-  install -m 644 pg_config_ext.h "${pkgdir}/usr/include"
-  install -m 644 postgres_ext.h "${pkgdir}/usr/include"
-  install -m 644 libpq/libpq-fs.h "${pkgdir}/usr/include/libpq"
-  install -m 644 pg_config_manual.h "${pkgdir}/usr/include"
-
-  # these he aders are needed by the not-so-public headers of the interfaces
-  install -m 644 c.h "${pkgdir}/usr/include/postgresql/internal"
-  install -m 644 port.h "${pkgdir}/usr/include/postgresql/internal"
-  install -m 644 postgres_fe.h "${pkgdir}/usr/include/postgresql/internal"
-  install -m 644 libpq/pqcomm.h "${pkgdir}/usr/include/postgresql/internal/libpq"
-}
-
-package_postgresql-docs() {
-  pkgdesc="HTML documentation for PostgreSQL"
-  options=('docs')
-
-  cd postgresql-${pkgver}
-
-  install -Dm 644 COPYRIGHT -t "${pkgdir}/usr/share/licenses/${pkgname}"
-
-  make -C doc/src/sgml DESTDIR="${pkgdir}" install-html
-  chown -R root:root "${pkgdir}/usr/share/doc/postgresql/html"
-
-  # clean up
-  rmdir "${pkgdir}"/usr/share/man/man{1,3,7}
-  rmdir "${pkgdir}"/usr/share/man
-}
-
-package_postgresql() {
-  pkgdesc='Sophisticated object-relational DBMS'
-  backup=('etc/pam.d/postgresql' 'etc/logrotate.d/postgresql')
-  depends=("postgresql-libs>=${pkgver}" 'krb5' 'libxml2' 'readline>=6.0' 'openssl>=1.0.0' 'pam' 'icu' 'systemd-libs' 'libldap')
-  optdepends=('python2: for PL/Python 2 support'
-              'python: for PL/Python 3 support'
-              'perl: for PL/Perl support'
-              'tcl: for PL/Tcl support'
-              'llvm: for JIT compilation support'
-              'postgresql-old-upgrade: upgrade from previous major version using pg_upgrade')
-  options=('staticlibs')
-
-  cd postgresql-${pkgver}
-
-  # install
-  make DESTDIR="${pkgdir}" install
-  make -C contrib DESTDIR="${pkgdir}" install
-  make -C doc/src/sgml DESTDIR="${pkgdir}" install-man
-
-  # install plpython3
-  mv src/Makefile.global src/Makefile.global.save
-  cp src/Makefile.global.python3 src/Makefile.global
-  touch -r src/Makefile.global.save src/Makefile.global
-  make -C src/pl/plpython3 DESTDIR="${pkgdir}" install
-  make -C contrib/hstore_plpython3 DESTDIR="${pkgdir}" install
-  make -C contrib/ltree_plpython3 DESTDIR="${pkgdir}" install
-
-  # we don't want these, they are in the -libs package
-  for dir in src/interfaces src/bin/pg_config src/bin/pg_dump src/bin/psql src/bin/scripts; do
-    make -C ${dir} DESTDIR="${pkgdir}" uninstall
-  done
-  for util in pg_config pg_dump pg_dumpall pg_restore psql \
-      clusterdb createdb createuser dropdb dropuser pg_isready reindexdb vacuumdb; do
-    rm "${pkgdir}"/usr/share/man/man1/${util}.1
-  done
-
-  install -Dm 644 COPYRIGHT -t "${pkgdir}/usr/share/licenses/${pkgname}"
-
-  cd "${srcdir}"
-  install -Dm 755 postgresql-check-db-dir -t "${pkgdir}/usr/bin"
-
-  install -Dm 644 ${pkgname}.pam "${pkgdir}/etc/pam.d/${pkgname}"
-  install -Dm 644 ${pkgname}.logrotate "${pkgdir}/etc/logrotate.d/${pkgname}"
-
-  install -Dm 644 ${pkgname}.service -t "${pkgdir}/usr/lib/systemd/system"
-  install -Dm 644 ${pkgname}.sysusers "${pkgdir}/usr/lib/sysusers.d/${pkgname}.conf"
-  install -Dm 644 ${pkgname}.tmpfiles "${pkgdir}/usr/lib/tmpfiles.d/${pkgname}.conf"
-
-  # clean up unneeded installed items
-  rm -rf "${pkgdir}/usr/include/postgresql/internal"
-  rm -rf "${pkgdir}/usr/include/libpq"
-  find "${pkgdir}/usr/include" -maxdepth 1 -type f -execdir rm {} +
-  rmdir "${pkgdir}/usr/share/doc/postgresql/html"
-}
-
-# vim: ts=2 sw=2 et:

Copied: postgresql/repos/testing-x86_64/PKGBUILD (from rev 359747, postgresql/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1,219 @@
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgbase=postgresql
+pkgname=('postgresql-libs' 'postgresql-docs' 'postgresql')
+pkgver=11.5
+_majorver=${pkgver%.*}
+pkgrel=3
+pkgdesc='Sophisticated object-relational DBMS'
+url='https://www.postgresql.org/'
+arch=('x86_64')
+license=('custom:PostgreSQL')
+makedepends=('krb5' 'libxml2' 'python' 'python2' 'perl' 'tcl>=8.6.0' 'openssl>=1.0.0'
+             'pam' 'zlib' 'icu' 'systemd' 'libldap' 'llvm' 'clang')
+source=(https://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2
+        postgresql-run-socket.patch
+        postgresql-perl-rpath.patch
+        postgresql.pam
+        postgresql.logrotate
+        postgresql.service
+        postgresql-check-db-dir
+        postgresql.sysusers
+        postgresql.tmpfiles)
+sha256sums=('7fdf23060bfc715144cbf2696cf05b0fa284ad3eb21f0c378591c6bca99ad180'
+            '8538619cb8bea51078b605ad64fe22abd6050373c7ae3ad6595178da52f6a7d9'
+            '5f73b54ca6206bd2c469c507830261ebd167baca074698d8889d769c33f98a31'
+            '57dfd072fd7ef0018c6b0a798367aac1abb5979060ff3f9df22d1048bb71c0d5'
+            '6abb842764bbed74ea4a269d24f1e73d1c0b1d8ecd6e2e6fb5fb10590298605e'
+            '25fb140b90345828dc01a4f286345757e700a47178bab03d217a7a5a79105b57'
+            '2bbd8c4e51b70223d274fef3a167af096f44af3d3c41ae505ad11c606674e7c5'
+            '7fa8f0ef3f9d40abd4749cc327c2f52478cb6dfb6e2405bd0279c95e9ff99f12'
+            '4a4c0bb9ceb156cc47e9446d8393d1f72b4fe9ea1d39ba17213359df9211da57')
+sha512sums=('537148079dc6c33cfb9bf9722171e524707b42ef01369deb968d0d6e8fa9b7f16f6ce67139d9dc45fb7385defbf56aa2c0affe5ee9d76e996f31e47486192141'
+            '031efe12d18ce386989062327cdbbe611c5ef1f94e4e1bead502304cb3e2d410af533d3c7f1109d24f9da9708214fe32f9a10ba373a3ca8d507bdb521fbb75f7'
+            '38302242b30c01c7981574ed28d9cbd9dc73bf6b56ba3a032afb5d0885ae83e5aa72ce578bf2422214dfa6c46f09d0bdd7cccaeb3c25d58754eb1a34f8bf5615'
+            '1e6183ab0eb812b3ef687ac2c26ce78f7cb30540f606d20023669ac00ba04075487fb72e4dc89cc05dab0269ff6aca98fc1167cc75669c225b88b592482fbf67'
+            '9ab4da01337ffbab8faec0e220aaa2a642dbfeccf7232ef2645bdc2177a953f17ee3cc14a4d8f8ebd064e1dae8b3dba6029adbffb8afaabea383963213941ba8'
+            'ee0c010be07e8b5396cfd89c1d077b7c5573753d0210ea4e330e314c2759e25fbee9071e663f871855d65cc8ac75162af9e793dd10892f50f515e7a89cc8d6a0'
+            '73af1cd31638791f81aa2623d51188364107a57b55e4deba6691cd99e96ae5ea0dd94b25a0e95d9e21ac64f36f71919a05cd31233c754bde025215a5a02e055c'
+            '36f7a5d38370fdc4d4267fd5a8a8330f152a1077bf0f065b89d4a7b8112ccd42be2c46c863791b77de02013f28275a42219f4236e7cb837c3f8cfd5fcc7d3373'
+            '5fe81d716d56d515ee4ae1aac56652b7bf20346ea8413482fd9fdb79f0485d8c5ed099f4d2cc460cbe37686488f1354dec433905ce005da8fec772e783addc70')
+
+prepare() {
+  cd postgresql-${pkgver}
+  patch -p1 < ../postgresql-run-socket.patch
+  patch -p1 < ../postgresql-perl-rpath.patch
+}
+
+build() {
+  cd postgresql-${pkgver}
+  local options=(
+    --prefix=/usr
+    --mandir=/usr/share/man
+    --datadir=/usr/share/postgresql
+    --sysconfdir=/etc
+    --with-gssapi
+    --with-libxml
+    --with-openssl
+    --with-perl
+    --with-python
+    --with-tcl
+    --with-pam
+    --with-system-tzdata=/usr/share/zoneinfo
+    --with-uuid=e2fs
+    --with-icu
+    --with-systemd
+    --with-ldap
+    --with-llvm
+    --enable-nls
+    --enable-thread-safety
+    --disable-rpath
+  )
+
+  # only build plpython3 for now
+  ./configure ${options[@]} \
+    PYTHON=/usr/bin/python
+  make -C src/pl/plpython all
+  make -C contrib/hstore_plpython all
+  make -C contrib/ltree_plpython all
+
+  # save plpython3 build and Makefile.global
+  cp -a src/pl/plpython{,3}
+  cp -a contrib/hstore_plpython{,3}
+  cp -a contrib/ltree_plpython{,3}
+  cp -a src/Makefile.global{,.python3}
+  make distclean
+
+  # regular build with everything
+  ./configure ${options[@]} \
+    PYTHON=/usr/bin/python2
+  make world
+}
+
+_postgres_check() {
+  make "${1}" || (find . -name regression.diffs | \
+    while read -r line; do
+      error "make ${1} failure: ${line}"
+      cat "${line}"
+    done; exit 1)
+}
+
+check() {
+  cd postgresql-${pkgver}
+  _postgres_check check
+  _postgres_check check-world
+}
+
+package_postgresql-libs() {
+  pkgdesc="Libraries for use with PostgreSQL"
+  depends=('krb5' 'openssl>=1.0.0' 'readline>=6.0' 'zlib' 'libldap')
+  provides=('postgresql-client')
+  conflicts=('postgresql-client')
+
+  cd postgresql-${pkgver}
+
+  # install license
+  install -Dm 644 COPYRIGHT -t "${pkgdir}/usr/share/licenses/${pkgname}"
+
+  # install libs and non-server binaries
+  for dir in src/interfaces src/bin/pg_config src/bin/pg_dump src/bin/psql src/bin/scripts; do
+    make -C ${dir} DESTDIR="${pkgdir}" install
+  done
+
+  for util in pg_config pg_dump pg_dumpall pg_restore psql \
+      clusterdb createdb createuser dropdb dropuser pg_isready reindexdb vacuumdb; do
+    install -Dm 644 doc/src/sgml/man1/${util}.1 "${pkgdir}"/usr/share/man/man1/${util}.1
+  done
+
+  cd src/include
+
+  install -d "${pkgdir}"/usr/include/{libpq,postgresql/internal/libpq}
+
+  # these headers are needed by the public headers of the interfaces
+  install -m 644 pg_config.h "${pkgdir}/usr/include"
+  install -m 644 pg_config_os.h "${pkgdir}/usr/include"
+  install -m 644 pg_config_ext.h "${pkgdir}/usr/include"
+  install -m 644 postgres_ext.h "${pkgdir}/usr/include"
+  install -m 644 libpq/libpq-fs.h "${pkgdir}/usr/include/libpq"
+  install -m 644 pg_config_manual.h "${pkgdir}/usr/include"
+
+  # these he aders are needed by the not-so-public headers of the interfaces
+  install -m 644 c.h "${pkgdir}/usr/include/postgresql/internal"
+  install -m 644 port.h "${pkgdir}/usr/include/postgresql/internal"
+  install -m 644 postgres_fe.h "${pkgdir}/usr/include/postgresql/internal"
+  install -m 644 libpq/pqcomm.h "${pkgdir}/usr/include/postgresql/internal/libpq"
+}
+
+package_postgresql-docs() {
+  pkgdesc="HTML documentation for PostgreSQL"
+  options=('docs')
+
+  cd postgresql-${pkgver}
+
+  install -Dm 644 COPYRIGHT -t "${pkgdir}/usr/share/licenses/${pkgname}"
+
+  make -C doc/src/sgml DESTDIR="${pkgdir}" install-html
+  chown -R root:root "${pkgdir}/usr/share/doc/postgresql/html"
+
+  # clean up
+  rmdir "${pkgdir}"/usr/share/man/man{1,3,7}
+  rmdir "${pkgdir}"/usr/share/man
+}
+
+package_postgresql() {
+  pkgdesc='Sophisticated object-relational DBMS'
+  backup=('etc/pam.d/postgresql' 'etc/logrotate.d/postgresql')
+  depends=("postgresql-libs>=${pkgver}" 'krb5' 'libxml2' 'readline>=6.0' 'openssl>=1.0.0' 'pam' 'icu' 'systemd-libs' 'libldap')
+  optdepends=('python2: for PL/Python 2 support'
+              'python: for PL/Python 3 support'
+              'perl: for PL/Perl support'
+              'tcl: for PL/Tcl support'
+              'llvm: for JIT compilation support'
+              'postgresql-old-upgrade: upgrade from previous major version using pg_upgrade')
+  options=('staticlibs')
+
+  cd postgresql-${pkgver}
+
+  # install
+  make DESTDIR="${pkgdir}" install
+  make -C contrib DESTDIR="${pkgdir}" install
+  make -C doc/src/sgml DESTDIR="${pkgdir}" install-man
+
+  # install plpython3
+  mv src/Makefile.global src/Makefile.global.save
+  cp src/Makefile.global.python3 src/Makefile.global
+  touch -r src/Makefile.global.save src/Makefile.global
+  make -C src/pl/plpython3 DESTDIR="${pkgdir}" install
+  make -C contrib/hstore_plpython3 DESTDIR="${pkgdir}" install
+  make -C contrib/ltree_plpython3 DESTDIR="${pkgdir}" install
+
+  # we don't want these, they are in the -libs package
+  for dir in src/interfaces src/bin/pg_config src/bin/pg_dump src/bin/psql src/bin/scripts; do
+    make -C ${dir} DESTDIR="${pkgdir}" uninstall
+  done
+  for util in pg_config pg_dump pg_dumpall pg_restore psql \
+      clusterdb createdb createuser dropdb dropuser pg_isready reindexdb vacuumdb; do
+    rm "${pkgdir}"/usr/share/man/man1/${util}.1
+  done
+
+  install -Dm 644 COPYRIGHT -t "${pkgdir}/usr/share/licenses/${pkgname}"
+
+  cd "${srcdir}"
+  install -Dm 755 postgresql-check-db-dir -t "${pkgdir}/usr/bin"
+
+  install -Dm 644 ${pkgname}.pam "${pkgdir}/etc/pam.d/${pkgname}"
+  install -Dm 644 ${pkgname}.logrotate "${pkgdir}/etc/logrotate.d/${pkgname}"
+
+  install -Dm 644 ${pkgname}.service -t "${pkgdir}/usr/lib/systemd/system"
+  install -Dm 644 ${pkgname}.sysusers "${pkgdir}/usr/lib/sysusers.d/${pkgname}.conf"
+  install -Dm 644 ${pkgname}.tmpfiles "${pkgdir}/usr/lib/tmpfiles.d/${pkgname}.conf"
+
+  # clean up unneeded installed items
+  rm -rf "${pkgdir}/usr/include/postgresql/internal"
+  rm -rf "${pkgdir}/usr/include/libpq"
+  find "${pkgdir}/usr/include" -maxdepth 1 -type f -execdir rm {} +
+  rmdir "${pkgdir}/usr/share/doc/postgresql/html"
+}
+
+# vim: ts=2 sw=2 et:

Deleted: postgresql-check-db-dir
===================================================================
--- postgresql-check-db-dir	2019-08-12 07:42:52 UTC (rev 359748)
+++ postgresql-check-db-dir	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1,49 +0,0 @@
-#!/bin/sh
-
-# This script verifies that the postgresql data directory has been correctly
-# initialized.  We do not want to automatically initdb it, because that has
-# a risk of catastrophic failure (ie, overwriting a valuable database) in
-# corner cases, such as a remotely mounted database on a volume that's a
-# bit slow to mount.  But we can at least emit a message advising newbies
-# what to do.
-
-PGDATA="$1"
-
-if [ -z "$PGDATA" ]
-then
-    echo "Usage: $0 database-path"
-    exit 1
-fi
-
-# PGMAJORVERSION is major version
-PGMAJORVERSION=11
-# PREVMAJORVERSION is the previous major version
-PREVMAJORVERSION=10
-
-# Check for the PGDATA structure
-if [ -f "$PGDATA/PG_VERSION" ] && [ -d "$PGDATA/base" ]
-then
-    # Check version of existing PGDATA
-    if [ x`cat "$PGDATA/PG_VERSION"` = x"$PGMAJORVERSION" ]
-    then
-        : A-OK
-    elif [ x`cat "$PGDATA/PG_VERSION"` = x"$PREVMAJORVERSION" ]
-    then
-        echo $"An old version of the database format was found."
-        echo $"See https://wiki.archlinux.org/index.php/PostgreSQL#Upgrading_PostgreSQL"
-        exit 1
-    else
-        echo $"An old version of the database format was found."
-        echo $"You need to dump and reload before using PostgreSQL $PGMAJORVERSION."
-        echo $"See http://www.postgresql.org/docs/$PGMAJORVERSION/static/upgrading.html"
-        exit 1
-    fi
-else
-    # No existing PGDATA! Warn the user to initdb it.
-    echo $"\"$PGDATA\" is missing or empty. Use a command like"
-    echo $"  su - postgres -c \"initdb --locale en_US.UTF-8 -D '$PGDATA'\""
-    echo $"with relevant options, to initialize the database cluster."
-    exit 1
-fi
-
-exit 0

Copied: postgresql/repos/testing-x86_64/postgresql-check-db-dir (from rev 359747, postgresql/trunk/postgresql-check-db-dir)
===================================================================
--- postgresql-check-db-dir	                        (rev 0)
+++ postgresql-check-db-dir	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# This script verifies that the postgresql data directory has been correctly
+# initialized.  We do not want to automatically initdb it, because that has
+# a risk of catastrophic failure (ie, overwriting a valuable database) in
+# corner cases, such as a remotely mounted database on a volume that's a
+# bit slow to mount.  But we can at least emit a message advising newbies
+# what to do.
+
+PGDATA="$1"
+
+if [ -z "$PGDATA" ]
+then
+    echo "Usage: $0 database-path"
+    exit 1
+fi
+
+# PGMAJORVERSION is major version
+PGMAJORVERSION=11
+# PREVMAJORVERSION is the previous major version
+PREVMAJORVERSION=10
+
+# Check for the PGDATA structure
+if [ -f "$PGDATA/PG_VERSION" ] && [ -d "$PGDATA/base" ]
+then
+    # Check version of existing PGDATA
+    if [ x`cat "$PGDATA/PG_VERSION"` = x"$PGMAJORVERSION" ]
+    then
+        : A-OK
+    elif [ x`cat "$PGDATA/PG_VERSION"` = x"$PREVMAJORVERSION" ]
+    then
+        echo $"An old version of the database format was found."
+        echo $"See https://wiki.archlinux.org/index.php/PostgreSQL#Upgrading_PostgreSQL"
+        exit 1
+    else
+        echo $"An old version of the database format was found."
+        echo $"You need to dump and reload before using PostgreSQL $PGMAJORVERSION."
+        echo $"See http://www.postgresql.org/docs/$PGMAJORVERSION/static/upgrading.html"
+        exit 1
+    fi
+else
+    # No existing PGDATA! Warn the user to initdb it.
+    echo $"\"$PGDATA\" is missing or empty. Use a command like"
+    echo $"  su - postgres -c \"initdb --locale en_US.UTF-8 -D '$PGDATA'\""
+    echo $"with relevant options, to initialize the database cluster."
+    exit 1
+fi
+
+exit 0

Deleted: postgresql-perl-rpath.patch
===================================================================
--- postgresql-perl-rpath.patch	2019-08-12 07:42:52 UTC (rev 359748)
+++ postgresql-perl-rpath.patch	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1,13 +0,0 @@
-diff -Naur postgresql-9.1.5.orig/src/pl/plperl/GNUmakefile postgresql-9.1.5/src/pl/plperl/GNUmakefile
---- postgresql-9.1.5.orig/src/pl/plperl/GNUmakefile	2012-08-14 18:41:04.000000000 -0400
-+++ postgresql-9.1.5/src/pl/plperl/GNUmakefile	2012-08-17 11:15:09.457116708 -0400
-@@ -43,6 +43,9 @@
- 
- SHLIB_LINK = $(perl_embed_ldflags)
- 
-+# Force rpath to be used even though we disable it everywhere else
-+SHLIB_LINK += $(rpath)
-+
- REGRESS_OPTS = --dbname=$(PL_TESTDB) --load-extension=plperl  --load-extension=plperlu
- REGRESS = plperl plperl_lc plperl_trigger plperl_shared plperl_elog plperl_util plperl_init plperlu plperl_array
- # if Perl can support two interpreters in one backend,

Copied: postgresql/repos/testing-x86_64/postgresql-perl-rpath.patch (from rev 359747, postgresql/trunk/postgresql-perl-rpath.patch)
===================================================================
--- postgresql-perl-rpath.patch	                        (rev 0)
+++ postgresql-perl-rpath.patch	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1,13 @@
+diff -Naur postgresql-9.1.5.orig/src/pl/plperl/GNUmakefile postgresql-9.1.5/src/pl/plperl/GNUmakefile
+--- postgresql-9.1.5.orig/src/pl/plperl/GNUmakefile	2012-08-14 18:41:04.000000000 -0400
++++ postgresql-9.1.5/src/pl/plperl/GNUmakefile	2012-08-17 11:15:09.457116708 -0400
+@@ -43,6 +43,9 @@
+ 
+ SHLIB_LINK = $(perl_embed_ldflags)
+ 
++# Force rpath to be used even though we disable it everywhere else
++SHLIB_LINK += $(rpath)
++
+ REGRESS_OPTS = --dbname=$(PL_TESTDB) --load-extension=plperl  --load-extension=plperlu
+ REGRESS = plperl plperl_lc plperl_trigger plperl_shared plperl_elog plperl_util plperl_init plperlu plperl_array
+ # if Perl can support two interpreters in one backend,

Deleted: postgresql-run-socket.patch
===================================================================
--- postgresql-run-socket.patch	2019-08-12 07:42:52 UTC (rev 359748)
+++ postgresql-run-socket.patch	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1,12 +0,0 @@
-diff -Naur postgresql-9.2.0.sockets/src/include/pg_config_manual.h postgresql-9.2.0/src/include/pg_config_manual.h
---- postgresql-9.2.0.sockets/src/include/pg_config_manual.h	2012-09-06 17:26:17.000000000 -0400
-+++ postgresql-9.2.0/src/include/pg_config_manual.h	2012-09-06 18:13:18.183092471 -0400
-@@ -144,7 +144,7 @@
-  * here's where to twiddle it.  You can also override this at runtime
-  * with the postmaster's -k switch.
-  */
--#define DEFAULT_PGSOCKET_DIR  "/tmp"
-+#define DEFAULT_PGSOCKET_DIR  "/run/postgresql"
- 
- /*
-  * The random() function is expected to yield values between 0 and

Copied: postgresql/repos/testing-x86_64/postgresql-run-socket.patch (from rev 359747, postgresql/trunk/postgresql-run-socket.patch)
===================================================================
--- postgresql-run-socket.patch	                        (rev 0)
+++ postgresql-run-socket.patch	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1,12 @@
+diff -Naur postgresql-9.2.0.sockets/src/include/pg_config_manual.h postgresql-9.2.0/src/include/pg_config_manual.h
+--- postgresql-9.2.0.sockets/src/include/pg_config_manual.h	2012-09-06 17:26:17.000000000 -0400
++++ postgresql-9.2.0/src/include/pg_config_manual.h	2012-09-06 18:13:18.183092471 -0400
+@@ -144,7 +144,7 @@
+  * here's where to twiddle it.  You can also override this at runtime
+  * with the postmaster's -k switch.
+  */
+-#define DEFAULT_PGSOCKET_DIR  "/tmp"
++#define DEFAULT_PGSOCKET_DIR  "/run/postgresql"
+ 
+ /*
+  * The random() function is expected to yield values between 0 and

Deleted: postgresql.logrotate
===================================================================
--- postgresql.logrotate	2019-08-12 07:42:52 UTC (rev 359748)
+++ postgresql.logrotate	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1,4 +0,0 @@
-/var/log/postgresql.log {
-   copytruncate
-   missingok
-}

Copied: postgresql/repos/testing-x86_64/postgresql.logrotate (from rev 359747, postgresql/trunk/postgresql.logrotate)
===================================================================
--- postgresql.logrotate	                        (rev 0)
+++ postgresql.logrotate	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1,4 @@
+/var/log/postgresql.log {
+   copytruncate
+   missingok
+}

Deleted: postgresql.pam
===================================================================
--- postgresql.pam	2019-08-12 07:42:52 UTC (rev 359748)
+++ postgresql.pam	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1,3 +0,0 @@
-auth		required	pam_unix.so
-account		required	pam_unix.so
-session		required	pam_unix.so

Copied: postgresql/repos/testing-x86_64/postgresql.pam (from rev 359747, postgresql/trunk/postgresql.pam)
===================================================================
--- postgresql.pam	                        (rev 0)
+++ postgresql.pam	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1,3 @@
+auth		required	pam_unix.so
+account		required	pam_unix.so
+session		required	pam_unix.so

Deleted: postgresql.service
===================================================================
--- postgresql.service	2019-08-12 07:42:52 UTC (rev 359748)
+++ postgresql.service	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1,43 +0,0 @@
-[Unit]
-Description=PostgreSQL database server
-After=network.target
-
-[Service]
-Type=notify
-TimeoutSec=120
-User=postgres
-Group=postgres
-
-Environment=PGROOT=/var/lib/postgres
-
-SyslogIdentifier=postgres
-PIDFile=/var/lib/postgres/data/postmaster.pid
-RuntimeDirectory=postgresql
-RuntimeDirectoryMode=755
-
-ExecStartPre=/usr/bin/postgresql-check-db-dir ${PGROOT}/data
-ExecStart=/usr/bin/postgres -D ${PGROOT}/data
-ExecReload=/bin/kill -HUP ${MAINPID}
-KillMode=mixed
-KillSignal=SIGINT
-
-# Due to PostgreSQL's use of shared memory, OOM killer is often overzealous in
-# killing Postgres, so adjust it downward
-OOMScoreAdjust=-200
-
-# Additional security-related features
-PrivateTmp=true
-ProtectHome=true
-ProtectSystem=full
-NoNewPrivileges=true
-ProtectControlGroups=true
-ProtectKernelModules=true
-ProtectKernelTunables=true
-PrivateDevices=true
-RestrictAddressFamilies=AF_UNIX AF_INET AF_INET6
-RestrictNamespaces=true
-RestrictRealtime=true
-SystemCallArchitectures=native
-
-[Install]
-WantedBy=multi-user.target

Copied: postgresql/repos/testing-x86_64/postgresql.service (from rev 359747, postgresql/trunk/postgresql.service)
===================================================================
--- postgresql.service	                        (rev 0)
+++ postgresql.service	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1,43 @@
+[Unit]
+Description=PostgreSQL database server
+After=network.target
+
+[Service]
+Type=notify
+TimeoutSec=120
+User=postgres
+Group=postgres
+
+Environment=PGROOT=/var/lib/postgres
+
+SyslogIdentifier=postgres
+PIDFile=/var/lib/postgres/data/postmaster.pid
+RuntimeDirectory=postgresql
+RuntimeDirectoryMode=755
+
+ExecStartPre=/usr/bin/postgresql-check-db-dir ${PGROOT}/data
+ExecStart=/usr/bin/postgres -D ${PGROOT}/data
+ExecReload=/bin/kill -HUP ${MAINPID}
+KillMode=mixed
+KillSignal=SIGINT
+
+# Due to PostgreSQL's use of shared memory, OOM killer is often overzealous in
+# killing Postgres, so adjust it downward
+OOMScoreAdjust=-200
+
+# Additional security-related features
+PrivateTmp=true
+ProtectHome=true
+ProtectSystem=full
+NoNewPrivileges=true
+ProtectControlGroups=true
+ProtectKernelModules=true
+ProtectKernelTunables=true
+PrivateDevices=true
+RestrictAddressFamilies=AF_UNIX AF_INET AF_INET6
+RestrictNamespaces=true
+RestrictRealtime=true
+SystemCallArchitectures=native
+
+[Install]
+WantedBy=multi-user.target

Deleted: postgresql.sysusers
===================================================================
--- postgresql.sysusers	2019-08-12 07:42:52 UTC (rev 359748)
+++ postgresql.sysusers	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1 +0,0 @@
-u postgres - "PostgreSQL user" /var/lib/postgres /bin/bash

Copied: postgresql/repos/testing-x86_64/postgresql.sysusers (from rev 359747, postgresql/trunk/postgresql.sysusers)
===================================================================
--- postgresql.sysusers	                        (rev 0)
+++ postgresql.sysusers	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1 @@
+u postgres - "PostgreSQL user" /var/lib/postgres /bin/bash

Deleted: postgresql.tmpfiles
===================================================================
--- postgresql.tmpfiles	2019-08-12 07:42:52 UTC (rev 359748)
+++ postgresql.tmpfiles	2019-08-12 07:42:54 UTC (rev 359749)
@@ -1,2 +0,0 @@
-d /var/lib/postgres/data 700 postgres postgres
-h /var/lib/postgres/data -   -        -        +C

Copied: postgresql/repos/testing-x86_64/postgresql.tmpfiles (from rev 359748, postgresql/trunk/postgresql.tmpfiles)
===================================================================
--- postgresql.tmpfiles	                        (rev 0)
+++ postgresql.tmpfiles	2019-08-12 07:42:54 UTC (rev 359749)
@@ -0,0 +1,2 @@
+d /var/lib/postgres/data 700 postgres postgres
+h /var/lib/postgres/data -   -        -        - +C


More information about the arch-commits mailing list